## rb-player rb-player — |

## Synopsis

    enum        RBPlayerError;
    #define     RB_PLAYER_TICK_HZ
    #define     RB_PLAYER_ERROR
    GQuark      rb_player_error_quark           (void);
    typedef     RBPlayerPrivate;
    RBPlayer*   rb_player_new                   (GError **error);
    gboolean    rb_player_open                  (RBPlayer *mp,
                                                 const char *uri,
                                                 GError **error);
    gboolean    rb_player_opened                (RBPlayer *mp);
    gboolean    rb_player_close                 (RBPlayer *mp,
                                                 GError **error);
    gboolean    rb_player_play                  (RBPlayer *mp,
                                                 GError **error);
    void        rb_player_pause                 (RBPlayer *mp);
    gboolean    rb_player_playing               (RBPlayer *mp);
    void        rb_player_set_volume            (RBPlayer *mp,
                                                 float volume);
    float       rb_player_get_volume            (RBPlayer *mp);
    void        rb_player_set_replaygain        (RBPlayer *mp,
                                                 double track_gain,
                                                 double track_peak,
                                                 double album_gain,
                                                 double album_peak);
    gboolean    rb_player_seekable              (RBPlayer *mp);
    void        rb_player_set_time              (RBPlayer *mp,
                                                 long time);
    long        rb_player_get_time              (RBPlayer *mp);

## Description

## Details

### enum RBPlayerError

    typedef enum
    {
    	RB_PLAYER_ERROR_NO_INPUT_PLUGIN,
    	RB_PLAYER_ERROR_NO_QUEUE_PLUGIN,
    	RB_PLAYER_ERROR_NO_TYPEFIND_PLUGIN,
    	RB_PLAYER_ERROR_NO_DEMUX_PLUGIN,
    	RB_PLAYER_ERROR_NO_VOLUME_PLUGIN,
    	RB_PLAYER_ERROR_DEMUX_FAILED,
    	RB_PLAYER_ERROR_NO_AUDIO,
    	RB_PLAYER_ERROR_GENERAL,
    	RB_PLAYER_ERROR_INTERNAL
    } RBPlayerError;

### RB_PLAYER_TICK_HZ

    #define RB_PLAYER_TICK_HZ 5

### RB_PLAYER_ERROR

    #define RB_PLAYER_ERROR rb_player_error_quark ()

### rb_player_error_quark ()

    GQuark      rb_player_error_quark           (void);

Returns : |

### RBPlayerPrivate

    typedef struct RBPlayerPrivate RBPlayerPrivate;

### rb_player_new ()

    RBPlayer*   rb_player_new                   (GError **error);

`error` : |
Returns : |

### rb_player_open ()

    gboolean    rb_player_open                  (RBPlayer *mp,
                                                 const char *uri,
                                                 GError **error);

`mp` : |
`uri` : |
`error` : |
Returns : |

### rb_player_opened ()

    gboolean    rb_player_opened                (RBPlayer *mp);

`mp` : |
Returns : |

### rb_player_close ()

    gboolean    rb_player_close                 (RBPlayer *mp,
                                                 GError **error);

`mp` : |
`error` : |
Returns : |

### rb_player_play ()

    gboolean    rb_player_play                  (RBPlayer *mp,
                                                 GError **error);

`mp` : |
`error` : |
Returns : |

### rb_player_pause ()

    void        rb_player_pause                 (RBPlayer *mp);

`mp` : |

### rb_player_playing ()

    gboolean    rb_player_playing               (RBPlayer *mp);

`mp` : |
Returns : |

### rb_player_set_volume ()

    void        rb_player_set_volume            (RBPlayer *mp,
                                                 float volume);

`mp` : |
`volume` : |

### rb_player_get_volume ()

    float       rb_player_get_volume            (RBPlayer *mp);

`mp` : |
Returns : |

### rb_player_set_replaygain ()

    void        rb_player_set_replaygain        (RBPlayer *mp,
                                                 double track_gain,
                                                 double track_peak,
                                                 double album_gain,
                                                 double album_peak);

`mp` : |
`track_gain` : |
`track_peak` : |
`album_gain` : |
`album_peak` : |

### rb_player_seekable ()

    gboolean    rb_player_seekable              (RBPlayer *mp);

`mp` : |
Returns : |

### rb_player_set_time ()

    void        rb_player_set_time              (RBPlayer *mp,
                                                 long time);

`mp` : |
`Param2` : |

### rb_player_get_time ()

    long        rb_player_get_time              (RBPlayer *mp);

`mp` : |
Returns : |